body {
	 background-color: #375372; 
	line-height: 1.8;
}
form {background-color:#FFF;}

h1, h2, h3, h4, h5, h6 {letter-spacing: -1px;color:#375372}

#HEAD_SECTION {
	background-color:#FFFFFF;
	color:#000000;
	padding:10px!important;
	/*padding:30px!important;*/
	text-align:left;
	}
	
#HEAD_INNER{padding:0px;
	margin:0px;
	max-width:1000px;}
	
#MAINLINE, .MAINLINE {
	background-color:#a9c94b; 
	height:2px;
	margin-top:10px;
}

/* added to have those elements cover the with of the body section div and for textarea to have 100% width when it is a single option */

p.QUESTION, p.NOTE, .CATEGORYTABLE tr:only-child textarea {width:100%;}

input.BUTTON {
	background-color:#a9c94b !important
}

input[name^="_bouton_calcule"] {width:360px!important;background-color:red!important;}


.btn {  
	display: inline-block;
  font-weight: 400;
  line-height: 1.5;
	background-color:#a9c94b !important
	text-align: center;
  text-decoration: none;
  vertical-align: middle;
	user-select: none;
}

.btn-success, .btn-lg, .BUTTON, .BUTTON:hover {
	border:none!important;  
	padding: .5rem 1rem;
  font-size: 1.25rem;
  border-radius: .3rem;
}
.BUTTON {  
	text-align: center;	
	text-indent: 0px;	
	vertical-align: middle;		
	color: rgb(255, 255, 255);	
	/* Box */	height: 60px;	width: 156px;	
	margin: 0px;	
}

.BUTTON:hover {  
	text-align: center;	
	text-indent: 0px;	
	vertical-align: middle;	
	background-color: white!important;	
	color: #375372;	
	border: 1px solid #375372!important;
	/* Box */	height: 60px;	width: 156px;	
	margin: 0px;	
}

.btn-success, .btn-lg {
  border: none !important;
}

.form-check-input:checked {
  background-color: #a8d091!important;
  border-color: #b3d582!important;
}

.LOGO_SPAN > img:nth-child(1) {
  width: 220px;
}
.LOGO_SPAN {
display: inline-block;
width: 20%;
text-align:left;
padding:0px;
margin:0px;
}

.LANG_SPAN {
display: inline-block;
width:20%;
height:auto;
text-align:right;
padding:0px;
margin:0px;
}

.err, .ERREUR {
	color: #c18c26;
}

#BODY_SECTION, #BUTTON_TABLE, #PROGRESS_TABLE {
	background-color:#FFF;
	}
	
#BUTTON_TABLE div {padding:.8em;margin-top:10%;} 
	
thead {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  background-color: #ffff;
  color: #375372;
  text-align: center;
  z-index: 2;
}

table {background-color:transparent !important;}

table.MATRICE {margin-left: auto;
    margin-right: auto;}
    
/* start of new css rules for CW tables 20230215 - in progress */
    
.MATRICE3 .REPONSE {display: none;}

.MATRICE th, .MATRICE td {padding:10px;}

/* added 20230216 */

th.SPECIAL_LINE_A0, th.SPECIAL_LINE_A0, {text-align:left!important;}

/* added 20230311 */

.COLONNE {font-weight:normal;}

.LIGNE {font-weight:600;}

/* added 20230219 */

.ORDINARY_CELL_A1:hover, 
.ORDINARY_CELL_B1:hover, 
.SPECIAL_CELL1:hover { 
background: #d1e39b!important;
	}


/* eases the eye on the #00000 bold/strong font - 20230216 */
.MATRICE3 th {color: #375372;}

/*border around inputs when checked */

.SPECIALTBOX {
 background-color: #EBEBE4;
 cursor: default;
 -moz-user-select: none;
 -webkit-user-select: none;
 -ms-user-select
}

.SPECIALTBOX:focus {
 background-color: #EBEBE4;
 cursor: default;
 -moz-user-select: none;
    border: 1px gray!important;
    /*border:none!important;*/
 outline-color: gray!important;
}

input:enabled:hover:not([class]) {
    border-color: #ccc;
    box-shadow:0 0 5px 0px #ccc inset;
}

input[type='text']:focus, textarea:focus {
  border: 1px solid #375372;
  outline-style: solid;
  outline-color: #375372;
}

input[type="radio"]:checked {
  line-height: 14px;
}

input[type="checkbox"]:checked {
  line-height: 14px;
}

    
/* start of new css rules for radio inputs and labels 20230215 */
    
input:checked[type="radio"] {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e");
}

input:checked[type="radio"] {
  box-shadow:0 0 0 1px #b3d582!important;
  appearance:none;
  border-radius:50%;
	width: 1em;
	height: 1em;
  background-color:#a8d091!important;
}

input[type='radio'] {
	width: 1em;
	height: 1em;
	margin-top: .5em;
	background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
	border-radius: 50%;

}

input:focus[type='radio'] {outline: 5px solid #ADD8E6; border-radius:50%;}

input:active[type='radio'] {outline:none!important;}

input:after[type='radio'] {accent-color:#ADD8E6;}

input:checked[type="checkbox"] {
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23fff' class='bi bi-check' viewBox='0 0 16 16'%3e%3cpath d='M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z'/%3e%3c/svg%3e");
}

input:checked[type="checkbox"] {
  box-shadow:0 0 0 1px #b3d582!important;
  appearance:none;
  border-radius:5%;
	width: 1em;
	height: 1em;
  background-color:#a8d091!important;
}

input[type="checkbox"] {
	width: 1em;
	height: 1em;
	margin-top: .5em;
	background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
	border-radius: 5%;

}

input:focus[type="checkbox"] {outline: 5px solid #ADD8E6; border-radius:5%;}

input:active[type="checkbox"] {outline:none!important;}

input:after[type="checkbox"] {accent-color:#ADD8E6;}

/* last css input checkbox addition 20230216 */

.REPONSE {margin-left:5px;}

/* remove the padding for mobile screens */

table.CATEGORYTABLE label {
	 padding-left:10px; 
}

/* Mala blue for the dropdowns 20230217 */
select {color:#375372}

textarea {width:100%;}

@media only screen and (min-width: 768px) {

.MATRICE3 tr:nth-child(odd):hover > th.SPECIAL_LINE_A0  {background-color:#eaf2d3;}
.MATRICE3 tr:nth-child(odd):hover > td.ORDINARY_CELL_A1  {background-color:#eaf2d3;}
.MATRICE3 tr:nth-child(even):hover > th.SPECIAL_LINE_B0  {background-color:#eaf2d3;}
.MATRICE3 tr:nth-child(even):hover > td.ORDINARY_CELL_B1  {background-color:#eaf2d3;}

}

/* end of new rules 20230217 */

/* removes the first and second td where there is only tr in the table. this will allow easier further styling 20230216 */ 

table.CATEGORYTABLE tr:only-child td:nth-child(1) {display:none!important;}
table.CATEGORYTABLE tr:only-child td span.REPONSE {display:none!important;}
	
#FOOT_SECTION {
	 background-color: #375372; 
	color: #FFF;
}

#FOOT_SECTION a {color:#a9c94b;text-decoration:none;}
#FOOT_SECTION a:hover {color:#a9c94b;text-decoration:underline;}
#FOOT_SECTION a:visited {color:#a9c94b;text-decoration:none;}

label {
	display:inline-block;
	width:auto;
	min-width:90px;
	}

label:hover {background-color: /*#b3b3b3;*/ #d1e39b;}

.THERMOMETRE {display:none;}

tr label span {display:none;}

.table tr th, .table tr td {text-align: center;}

.p-h {color: #375372;}

.center {text-align: center;}

@media only screen and (max-width: 768px) {

.tr-head, table.MATRICE3 th.SPECIAL_COLUMN1 {display:none;}

th.SPECIAL_LINE_A0, th.SPECIAL_LINE_B0, table.MATRICE3 td {display: block;}

.MATRICE3 tr td span.REPONSE {display:block!important;text-align:center;}

.table tr td:first-child {color: #375372; font-weight: bold;}

.MATRICE3 th, .MATRICE3 td  {
	padding: .5rem .5rem;
	background-color: var(--bs-table-bg);
	border-bottom-color: rgba(0, 0, 0, 0.1);
	border-bottom-width: 1px;
	box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
}

select {color:#375372; width:100%;font-size:0.9em;}

}

/* character count for open ends */
span[id^="rchar"] {color:#39598C;}

@media only screen and (max-width:600px) {

.TEXTBOX, .NUMBOX {
  width:100%!important;
} 
}

.TEXTBOX, .NUMBOX {
  max-width: 100%;
  display: inline-block;
  border: 1px solid #bbc2af;
  border-radius: 5px;
  padding: 10px;
  margin-top:3%;
  box-sizing: border-box;
} 

textarea {font-family: 'Noto Sans', sans-serif;}

textarea:focus, textbox:focus {
  -webkit-box-shadow: inset 2px 2px 2px 0px #dddddd;
  -moz-box-shadow: inset 2px 2px 2px 0px #dddddd;
  box-shadow: inset 2px 2px 2px 0px #dddddd;
}  

input[type="radio"], input[type="checkbox"] {margin-top: .5em;}

/* radio & checkbox type inputs */
/* Keep if defaults are used instead */

/*input[type="checkbox"], input[type="radio"] {
	margin: 4px 0 0;
	margin-top: 1px\9;
	line-height: normal;
    cursor: pointer;
}

input[type="checkbox"], input[type="radio"] {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding: 0;
    cursor: pointer;
}*/
/* -------------------------------------------------------- */
/* -------------------------------------------- TOOLTIPS */
/* -------------------------------------------------------- */

	.tooltip {
		position: relative;
		display: inline-block;
		border-bottom: 1px dotted black;
		opacity:1;
	}

	.tooltip .tooltiptext {
		visibility: hidden;
		min-width: 500px;
		background-color: #555;
		color: #fff;
		text-align: left;
		font-weight:normal;
		border-radius: 6px;
		padding: 5px;
		position: absolute;
		z-index: 1;
		bottom: 125%;
		left: 50%;
		margin-left: -60px;
		opacity: 1;
		transition: opacity 1s;
	}

	.tooltip .tooltiptext::after {
		content: "";
		position: absolute;
		top: 100%;
		left: 10%;
		margin-left: -5px;
		border-width: 5px;
		border-style: solid;
		border-color: #555 transparent transparent transparent;
	}

	.tooltip:hover .tooltiptext {
		visibility: visible;
		opacity: 1;
	}

/* if needed css accordions */

/* lang accordion dropdowns */
/*details.lang {position:absolute; color: white;z-index:5;}*/
 details.lang {position:relative; float:right; color: white;z-index:5;}
details.lang { background-color:#003F70; padding:10px;border-radius:5%;cursor:pointer;}

/* buttons are specifc to lang class */
.BUTTONL {color:white;font-size:1em;cursor:pointer;}
.BUTTONL:hover {text-decoration: underline;}

details > summary {
  list-style: none;
}

details.accordion {
	background-color: #f1f1f1;
	color: #444;
	cursor: pointer;
	padding: 18px;
	width: 100%;
	border: none;
	display:inline-block;
	text-align: left;
	outline: none;
	font-family: 'Open Sans', Noto Sans, sans-serif;
	transition: 0.4s;
}

summary.heading {
	font-weight: 600;
}

summary > p.panel {
	padding: 0 18px;
	background-color: transparent;
	font-size: 1em;
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.2s ease-out;
}

details[open] summary ~ * {
  animation: sweep .5s ease-in-out;
}
@keyframes sweep {
  0%    {opacity: 0; margin-top: -10px}
  100%  {opacity: 1; margin-top: 0px}
}

/* Hover to Popup on coarse screens */

@media (pointer: coarse), (hover: none) {
  [title] {
    position: relative;
    display: inline-flex;
    justify-content: center;
  }
  [title]:focus::after {
    content: attr(title);
    position: absolute;
    top: 90%;
    color: #ffffff;
    background-color: #555555;
    border: 1px solid;
    width: 15vh;
    padding: 3px;
    font-size: 12px;
    z-index: 10;
  }

}

/* HIDDEN style borrowed from TTS/TripT */
.HIDDEN {display:none!important;}